<?php

namespace Lc\PietroBundle\Container\IndividualData;

use Lc\PietroBundle\Factory\IndividualData\IndividualDataFactory;
use Lc\PietroBundle\Repository\IndividualData\IndividualDataRepositoryQuery;
use Lc\PietroBundle\Repository\IndividualData\IndividualDataStore;

class IndividualDataContainer
{
    protected IndividualDataFactory $factory;
    protected IndividualDataRepositoryQuery $repositoryQuery;
    protected IndividualDataStore $store;

    public function __construct(
            IndividualDataFactory $factory,
            IndividualDataRepositoryQuery $repositoryQuery,
            IndividualDataStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public function getFactory(): IndividualDataFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): IndividualDataRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): IndividualDataStore
    {
        return $this->store;
    }
}
